#pragma once
#include <string>
#include "networktables/NetworkTable.h"
#include "networktables/NetworkTableInstance.h"
#include <networktables/NetworkTableEntry.h>
#include <memory>
#include <frc/Timer.h>
#include "Shooter.h"
//#include "GamePiece.h"
#include "Drive.h"
#include "frc/smartdashboard/Smartdashboard.h"

class Limelight {
    public:
    double targetOffsetAngle_Horizontal = table->GetNumber("tx",0.0);
    double targetOffsetAngle_Vertical = table->GetNumber("ty",0.0);
    nt::NetworkTableEntry ledMode;
    Limelight();
    double angleHorizontal();
    double robotDistances();
    double get(std::string entry);
    void set(std::string entry, double value);
    void process();
    void reset();
    private:
    int zoneDistances{};
    double robotDistance;
    nt::NetworkTableInstance inst;
    std::shared_ptr<nt::NetworkTable> table;

};