#include "Limelight.h"
#include <list>

using namespace std;
const double kLimelightThing = 62.25;
const double klimelightOffset = 50;

Limelight::Limelight(){
    inst = nt::NetworkTableInstance::GetDefault();
    table = inst.GetTable("limelight");
}

void Limelight::process(){

}

void Limelight::reset(){
}


double Limelight::angleHorizontal(){
    return targetOffsetAngle_Horizontal;
}

double Limelight::robotDistances(){
    robotDistance = kLimelightThing/(tan(klimelightOffset + targetOffsetAngle_Vertical));
    return robotDistance;
}
double Limelight::get(std::string entry){
    nt::NetworkTableEntry tableEntry = table->GetEntry(entry);
    return tableEntry.GetDouble(0);
}

void Limelight::set(std::string entry, double value){
    nt::NetworkTableEntry tableEntry = table->GetEntry(entry);
    tableEntry.SetDouble(value);
}



